﻿using System;
using System.ServiceModel.Dispatcher;
using System.ServiceModel.Web;
using CloudMap.Contracts;

namespace CloudMapRunner
{
    class Program
    {
        static void Main(string[] args)
        {
            var serviceType = typeof(WMSProxyService);
            var _host = new WebServiceHost(serviceType);
            _host.Open();

            // Code to show what's running
            Console.WriteLine("Number of base addresses : {0}",
                _host.BaseAddresses.Count);
            foreach (var uri in _host.BaseAddresses)
            {
                Console.WriteLine("\t{0}", uri);
            }

            Console.WriteLine();
            Console.WriteLine("Number of dispatchers listening : {0}",
                _host.ChannelDispatchers.Count);
            foreach (ChannelDispatcher dispatcher in _host.ChannelDispatchers)
            {
                Console.WriteLine("\t{0}, {1}",
                    dispatcher.Listener.Uri,
                    dispatcher.BindingName);
            }

            Console.ReadLine();
        }
    }
}
